Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DeactivateLicenseRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DeactivateLicenseRequest

    public class DeactivateLicenseRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DeactivateLicense operation`.

Deactivates a specific number of licenses. Deactivations can be done against a specific license ID after they have persisted for at least a 90-day period.

See Also:
  `AmazonEC2.deactivateLicense(DeactivateLicenseRequest)`

Constructor Summary
`DeactivateLicenseRequest()`

Method Summary
`Integer` | `getCapacity()` Specifies the amount of capacity to deactivate against the license.
`String` | `getLicenseId()` Specifies the ID for the specific license to deactivate against
`void` | `setCapacity(Integer capacity)` Specifies the amount of capacity to deactivate against the license.
`void` | `setLicenseId(String licenseId)` Specifies the ID for the specific license to deactivate against
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeactivateLicenseRequest` | `withCapacity(Integer capacity)` Specifies the amount of capacity to deactivate against the license.
`DeactivateLicenseRequest` | `withLicenseId(String licenseId)` Specifies the ID for the specific license to deactivate against

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeactivateLicenseRequest

    public DeactivateLicenseRequest()

Method Detail

### getLicenseId

    public String getLicenseId()

  Specifies the ID for the specific license to deactivate against

  Returns:
    Specifies the ID for the specific license to deactivate against

### setLicenseId

    public void setLicenseId(String licenseId)

  Specifies the ID for the specific license to deactivate against

  Parameters:
    `licenseId` - Specifies the ID for the specific license to deactivate against

### withLicenseId

    public DeactivateLicenseRequest withLicenseId(String licenseId)

  Specifies the ID for the specific license to deactivate against

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `licenseId` - Specifies the ID for the specific license to deactivate against
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCapacity

    public Integer getCapacity()

  Specifies the amount of capacity to deactivate against the license.

  Returns:
    Specifies the amount of capacity to deactivate against the license.

### setCapacity

    public void setCapacity(Integer capacity)

  Specifies the amount of capacity to deactivate against the license.

  Parameters:
    `capacity` - Specifies the amount of capacity to deactivate against the license.

### withCapacity

    public DeactivateLicenseRequest withCapacity(Integer capacity)

  Specifies the amount of capacity to deactivate against the license.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `capacity` - Specifies the amount of capacity to deactivate against the license.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.